#ifdef __cplusplus
extern "C" {
#endif

typedef void *TClientRef;

__declspec(dllimport) TClientRef AEW_Connect(char *Host, signed long Index);
__declspec(dllimport) unsigned long AEW_Disconnect(TClientRef uClientRef);
__declspec(dllimport) unsigned long AEW_SetTimeout(TClientRef uClientRef, signed long TimeoutMS);
__declspec(dllimport) unsigned long AEW_ChangeDeviceIP(TClientRef uClientRef, char *NewIP);
__declspec(dllimport) unsigned long AEW_ChangeSubnet(TClientRef uClientRef, char *NewSubnet);
__declspec(dllimport) unsigned long AEW_ChangeGateway(TClientRef uClientRef, char *NewGateway);
__declspec(dllimport) unsigned long AEW_ChangeNetworking(TClientRef uClientRef, char *NewIP, char *NewSubnet, char *NewGateway);
__declspec(dllimport) unsigned long AEW_GetStatus(TClientRef uClientRef, signed long *pStatusBytes, unsigned char *pStatus);

__declspec(dllimport) unsigned long AEW_DIO_Configure(TClientRef uClientRef, signed long *pDataBytes, unsigned char *pData, unsigned char *pDirection);
__declspec(dllimport) unsigned long AEW_DIO_WriteAll(TClientRef uClientRef, signed long *pDataBytes, unsigned char *pData);
__declspec(dllimport) unsigned long AEW_DIO_Write1(TClientRef uClientRef, signed long BitIndex, unsigned char bNewValue);
__declspec(dllimport) unsigned long AEW_DIO_WriteMasked(TClientRef uClientRef, signed long *pDataMaskBytes, unsigned char *pDataMask, signed long *pDataBytes, unsigned char *pData);
__declspec(dllimport) unsigned long AEW_DIO_ReadAll(TClientRef uClientRef, signed long *pDataBytes, unsigned char *pData);
__declspec(dllimport) unsigned long AEW_CSA_ReadAllWithLatch(TClientRef uClientRef, signed long *pDataBytes, unsigned char *pData, signed long BitIndex);

__declspec(dllimport) unsigned long AEW_LogEnable(void);



#ifdef __cplusplus
}
#endif
