unit AIOETHW;

interface

uses
  Windows;

type
  TClientRef = Pointer;

function AEW_Connect(Host: PChar; Index: LongInt): TClientRef; cdecl; external 'AIOETHW.dll';
function AEW_Disconnect(uClientRef: TClientRef): LongWord; cdecl; external 'AIOETHW.dll';
function AEW_SetTimeout(uClientRef: TClientRef; TimeoutMS: LongInt): LongWord; cdecl; external 'AIOETHW.dll';
function AEW_ChangeDeviceIP(uClientRef: TClientRef; NewIP: PChar): LongWord; cdecl; external 'AIOETHW.dll';
function AEW_ChangeSubnet(uClientRef: TClientRef; NewSubnet: PChar): LongWord; cdecl; external 'AIOETHW.dll';
function AEW_ChangeGateway(uClientRef: TClientRef; NewGateway: PChar): LongWord; cdecl; external 'AIOETHW.dll';
function AEW_ChangeNetworking(uClientRef: TClientRef; NewIP, NewSubnet, NewGateway: PChar): LongWord; cdecl; external 'AIOETHW.dll';
function AEW_GetStatus(uClientRef: TClientRef; pStatusBytes: PLongInt; pStatus: PByte): LongWord; cdecl; external 'AIOETHW.dll';

function AEW_DIO_Configure(uClientRef: TClientRef; pDataBytes: PLongInt; pData: PByte; pDirection: PByte): LongWord; cdecl; external 'AIOETHW.dll';
function AEW_DIO_WriteAll(uClientRef: TClientRef; pDataBytes: PLongInt; pData: PByte): LongWord; cdecl; external 'AIOETHW.dll';
function AEW_DIO_Write1(uClientRef: TClientRef; BitIndex: LongInt; bNewValue: ByteBool): LongWord; cdecl; external 'AIOETHW.dll';
function AEW_DIO_WriteMasked(uClientRef: Pointer; pDataMaskBytes: PLongInt; pDataMask: PByte; pDataBytes: PLongInt; pData: PByte): LongWord; cdecl; external 'AIOETHW.dll';
function AEW_DIO_ReadAll(uClientRef: TClientRef; pDataBytes: PLongInt; pData: PByte): LongWord; cdecl; external 'AIOETHW.dll';
function AEW_CSA_ReadAllWithLatch(uClientRef: Pointer; pDataBytes: PLongInt; pData: PByte; BitIndex: LongInt): LongWord; cdecl; external 'AIOETHW.dll';

function AEW_LogEnable: LongBool; cdecl; external 'AIOETHW.dll';

implementation

end.